Bug 586515 - If the user doesn't have a BZ account filled in, the ABRT user experience is really poor
If the user doesn't have a BZ account filled in, the ABRT user experience is ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 15:19 EDT by Máirín Duffy
Modified: 2015-02-01 17:51 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:54:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2010-04-27 15:19:03 EDT
Description of problem:
I just watched someone in the office try to use ABRT to file a bug. They had never used ABRT before on the machine so their bugzilla credentials were not already in the system. Too many windows popped up and the program let the user input a lot of information before asking for bugzilla credentials.

I think if based on the reporting methods the user selects on this screen:

https://fedoraproject.org/w/uploads/d/d0/Abrt-ui_mar2010_reportbug1-v2.png

If ABRT knows the user hasn't filled in their credentials for the reporting methods selected, they should be asked for and confirmed to work in the wizard *before* the user fills out any other information. We don't want to waste the user's time. 

I have some more ideas on how to improve the ABRT workflow further from the last iteration I did with you, by the way, based on watching this user go through the UI. I'll create another revision of the mockups for further improvements.


Version-Release number of selected component (if applicable):
abrt-1.0.9-2 (in F13 Beta+ apparently)

How reproducible:
Very.

Steps to Reproduce:
1. Clear any bugzilla login information from ABRT.
2. Cause a crash so abrt is triggered.
3. Try to file the bug.
Comment 1 Bug Zapper 2011-06-02 10:48:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 11:54:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.